# Warzone 2100 GPL - Readme

## Inhalt von Warzone 2100 GPL

Im Jahre 1999 wurde Warzone 2100 als ein kommerzielles, innovatives 3D-Echtzeitstrategiespiel veröffentlicht. Als es freigegeben wurde, wurde alles bis auf die Musik und in-game-Videos freigegeben. Die Originalkampagnen sind aber noch spielbar.

Zusätzlich sind alle Mehrspielerkarten, die es schon für Warzone 2100 1.10, den letzten offiziellen Patch von Pumpkin Studios, gab, in Warzone 2100 GPL vorhanden.

zurück zum Seitenanfang

## Status des Spiels

Nach der Freigabe des Warzone 2100-Quellcodes am 6. Dezember 2004 wurden alle proprietären Technologien durch quelloffene Gegenstücke ersetzt.

Zu den derzeit unterstützten Plattformen zählen GNU/Linux, Mac OS X 10.4 (Tiger) und Windows (98 - XP). Berichten zufolge soll Warzone 2100 GPL auch unter BSD laufen. Einige Leute spielen es sogar unter Windows Vista, das nicht direkt unterstützt wird.

Das Spiel befindet sich immer noch im Beta-Stadium, also erwarten Sie bitte nicht, dass das Spiel ohne jegliche Probleme läuft.

### Fehler melden

Das Spiel enthält immer noch Fehler und falls Sie einen finden, berichten Sie uns bitte davon im Bugtracker (Englisch). Damit die Entwickler einen Fehler schneller beheben können, ist es wichtig, dass Sie beim Melden des Fehlers folgende Regeln beachten:

1. Wenn das Spiel abstürzt, kann ein Speicherabbild (memory dump) erzeugt werden. Bitte erzeugen Sie dieses und laden es zusammen mit Ihrem Fehlerbericht hoch. Unter Linux wird dieses unter /tmp/warzone2100.gdmp gespeichert. Auch selbst-erzeugte Backtraces sind nützlich.
2. Geben Sie so viele Informationen über das, was Sie gemacht haben als der Fehler/Absturz auftrat, wie nur möglich.
3. Versuchen Sie den Fehler zu reproduzieren und geben Sie eine Beschreibung für die Reproduktion in ihrem Fehlerbericht an.
4. Sie können sogar Spielstände hochladen. Diese bestehen aus einer oder zwei Datei(en) und einem Ordner. Alle zwei/drei sind nach dem Spielstand benannt (z.B. MeinSpielstand.es, MeinSpielstand.gam und der Ordner MeinSpielstand).
5. Fehlerberichte sind keine "Klick-&-weg"-Berichte. Es kann sein, dass Sie vergessen eine Angabe zu machen oder eine Datei hochzuladen. Es ist also auch in Ihrem Interesse Ihren Fehlerbericht zu verfolgen. Zusätzlich erhalten Sie eine E-Mail über jeden Kommentar zu ihrem Fehlerbericht. Diese Funktionalität wird vom Bugtracker automatisch benutzt.

zurück zum Seitenanfang

## Konfiguration

### WZ-Ordner und Konfigurationsdatei

Warzone speichert Ihre Einstellungen in einer Datei namens "config". Wo Sie diese Datei finden hängt vom verwendeten Betriebssystem ab.

#### Warzone-Ordner unter GNU/Linux

Unter GNU/Linux befindet sich der Warzone-Ordner im home-Verzeichnis und heißt ".warzone2100". Der führende Punkt zeigt an, dass es sich um einen versteckten Ordner handelt, der abhängig von ihren Einstellungen nicht sichtbar sein könnte. Trotzdem lässt sich auf den Ordner über die Adressleiste zugreifen.

#### Warzone-Ordner unter Windows

Der Ordner heißt "Warzone 2100" und befindet sich in "Eigene Dateien".

### Kommandozeilenoptionen

Zusätzlich zur Konfigurationsdatei kann Warzone mit verschiedenen Parametern gestartet werden.

Hinweis: Diese Parameter haben alle zwei Bindestriche (--), nicht nur eines (-). Versuche die Parameter mit nur einem Bindestrich zu benutzen werden scheitern.

Parameter | Auswirkung
--- | ---
--fullscreen | im Vollbildmodus spielen
--window | im Fenstermodus spielen
--resolution WIDTHxHEIGHT | setzt die Größe des Viewports (der zur Darstellung genutzten Fläche) fest; verwendbar für Vollbild- und Fenstermodus
--datadir DIR | setzt das Standarddatenverzeichnis auf DIR
--shadows | schaltet Schatten an
--noshadows | schaltet Schatten ab
--sound | schaltet Audioausgabe an
--nosound | schaltet Audioausgabe ab
--cheat | ermöglicht das Benutzen von Cheats und Debug-Tasten

Hinweis: Alle genannten Kommandozeilenparameter außer --datadir ändern den entsprechenden Wert in der Konfigurationsdatei. Starten Sie Warzone dann durch Doppelklick auf die ausführbare Datei/Binary, wird das Spiel mit den zuletzt genutzten Einstellungen starten. Also nicht wundern, wenn Sie keine Audioausgabe haben, falls Sie Warzone das letzte Mal mit --nosound gestartet hatten.

Hinweis: Diese Liste ist nicht vollständig. Eine vollständige Liste und weiterführende Informationen zu den Kommandozeilenoptionen (Englisch) können in der Wiki des Warzone Resurrection Project (Englisch) gefunden werden.

### Musik

Da die Original-Musik nicht Teil der freigegebenen Daten ist, führen wir die Musik wieder ein, allerdings auf andere Art und Weise. Wir benutzen ein Playlist-System, das zu jeder *.ogg- oder *.mp3-Datei in Ihrem Warzone-Datenverzeichnis verweisen kann. Dies befindet sich noch in einem experimentellen Stadium und wir sorgen stetig dafür diese Funktionalität benutzbarer zu gestalten.

Warzone liest die folgenden zwei Playlisten (in der genannten Reihenfolge) und verwendet die zuerst gefundene Playlist:

- Warzone-Verzeichnis im persönlichen Ordner:
  - for GNU/Linux: ~/.warzone2100/music/music.wpl
  - for Windows: ~/Eigene Dateien/Warzone 2100/music/music.wpl
- Warzone-Installationsverzeichnis:
  - <woauchimmerwarzoneinstalliertist>/music/music.wpl

#### Nutzung der Playlist

Die Playlist enthält zwei Abschnitte, [game] und [menu]. Für jeden Abschnitt können Sie eine Liste von Liedern definieren, die Sie im Spiel hören wollen. Zu den unterstützten Dateiformaten gehören OGG und MP3 solange die dazu benötigten Bibliotheken installiert sind.

Mit "shuffle=yes" können Sie angeben, dass Sie die Lieder in zufälliger Reihenfolge hören wollen. Diese Einstellung müssen Sie für jeden Abschnitt neu definieren.

Mit "path=." geben Sie an, dass die nachfolgenden Dateien in dem Ordner gefunden werden, in dem die Playlist liegt. Geben Sie nichts an, müssen alle Dateinamen mit ihrem "absoluten" Pfad angegeben werden. Dieser "absolute" Pfad jedoch ist relativ zum Warzone-Datenverzeichnis. Alle Dateinamen müssen denen im Dateisystem gleichen.

Dieses Beispiel zeigt wie eine Playlist-Datei aussehen könnte:

    [game]
    path=.
    shuffle=yes
    neos_aurore.ogg
    neos_chocolat.ogg
    neos_down.ogg
    neos_esperance.ogg
    neos_indy.ogg

    [menu]
    path=.
    neos_symphonie_du_vide.ogg

### Mehrspielermodus über das Internet

Es gibt zwei Methoden eine Mehrspielerpartie über das Internet zu starten: über die IP des Hosts oder über den Lobbyserver. Die Kommunikation über die TCP-Ports 9998 und 9999 sollte auf jeden Fall sichergestellt sein.

Sie können wählen, ob Sie über die Lobby oder über eine IP verbunden werden wollen:

- Wenn Sie sich für IP entscheiden, fragt Warzone 2100 Sie nach der IP-Adresse des Spielerstellers und wird versuchen zu dieser IP zu verbinden.
- Wenn Sie sich für die Lobby entscheiden, wird Warzone 2100 mit dem Lobbyserver Verbindung aufnehmen solange der Eintrag der Lobbyserveradresse in Ihrer Konfigurationsdatei nicht geändert wurde.

Sie werden eine Liste von offenen Spielen sehen, von denen Sie eines wählen können.

Sie können unerwünschte Spieler aus einem noch nicht gestarteten Spiel schmeißen (kicken), indem Sie mit gehaltener rechter Maustaste auf den betroffenen Spieler linksklicken.

Wenn Sie ein Spiel eröffnet haben, wird dieses automatisch auf dem Lobbyserver gelistet. Falls Sie wünschen, dass Ihre Spiele nicht auf dem Lobbyserver erscheinen, ändern Sie den Eintrag "masterserver_name=lobby.wz2100.net" in der config zu etwas Ungültigem wie "keinlobbyserverbitte".

Wenn Sie die Spiele auf dem Lobbyserver sehen wollen, können Sie auch "lobby.wz2100.net" eingeben, wenn Sie nach der IP-Adresse gefragt werden, oder stellen den ursprünglichen Eintrag in der config-Datei wieder her. Sie werden Warzone 2100 neustarten müssen, damit Änderungen an der config wirksam werden.

zurück zum Seitenanfang

## Wichtige Tastenkombinationen

Taste(nkombination) | Auswirkung
--- | ---
Strg + Tab | Darstellung des Untergrundes in der Karte umschalten

Umschalt + Tab

Freund-Feind-Farben in der Karte umschalten

- Sie: weiß
- Verbündete: gelb
- Feind: rot

Alt + Enter (nur Linux + X11) | zwischen Vollbildmodus und Fenstermodus wechseln
Alt + S | Schatten umschalten
Umschalt + Rücktaste | Cheatbenutzung erlauben/verbieten
Ctrl + O | Debug-Menü anzeigen

zurück zum Seitenanfang

## Weitere Ressourcen

- Homepage des Warzone Resurrection Project (Englisch)
- Gna!-Project-Seite von Warzone (Englisch)
- Warzone-Wiki (Englisch)
- Warzone2100.de (Deutsch)

zurück zum Seitenanfang

- AUTOR: Kreuvf
- LETZTE ÄNDERUNG: 29.09.2007